import java.util.Scanner;

import base.Giocatore;
import base.Tabellone;
import dadotruccato.GiocatoreDadoTruccato;

public class SimulatoreGiocoDellOcaDadoTruccato {

	public static void main(String[] args) {

		Scanner input = new Scanner(System.in);
		
		Tabellone tab = new Tabellone();

		System.out.println("Quante partite vuoi simulare?");
		int num_partite = input.nextInt();
		
		int cont_vinte1 = 0;
		int cont_vinte2 = 0;
		
		for (int i=0; i<num_partite; i++) {

			Giocatore g1 = new Giocatore(tab);
			GiocatoreDadoTruccato g2 = new GiocatoreDadoTruccato(tab);

			int turno = 1;
			while ((g1.getPosizione()!=tab.getNumeroCaselle()) &&
					(g2.getPosizione()!=tab.getNumeroCaselle())) {

				if (turno==1) {
					g1.mossa();
					tab.effettoCasella(g1);
					turno = 2;
				}
				else {
					g2.mossa();
					tab.effettoCasella(g2);
					turno = 1;
				}

				System.out.println("G1 = " + g1.getPosizione() + " G2 = " + g2.getPosizione());

			}

			if (g1.getPosizione()==tab.getNumeroCaselle()) {
				System.out.println("Vincitore G1 !!!");
				cont_vinte1++;
			}
			else {
				System.out.println("Vincitore G2 !!!");
				cont_vinte2++;
			}
		}
		
		System.out.println("STATISTICHE:");
		System.out.println("Vinte da G1: " + cont_vinte1);
		System.out.println("Vinte da G2: " + cont_vinte2);
		
	}
	
}
